import { defineNuxtPlugin } from '#app'
import { useCardStore } from '~/store/card'

export default defineNuxtPlugin(() => {
  // Le code s'exécute uniquement côté client
  const cardStore = useCardStore()
  cardStore.initialize()

  return {
    provide: {
      cardStore
    }
  }
})
